Bug 103897 - Recompile of source does not show zlib-devel package dependency
Recompile of source does not show zlib-devel package dependency
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: postfix (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-06 15:37 EDT by Brian Zammit
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-21 13:51:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Zammit 2003-09-06 15:37:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5a)
Gecko/20030728 Mozilla Firebird/0.6.1

Description of problem:
When recompiling postfix from source rpm, the error message "/usr/bin/ld: cannot
find -lz" appears at the end of the failed compile. 

RPM should notify of the dependency on zlib-devel. 

Version-Release number of selected component (if applicable):
postfix-1.1.12-1.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh postfix-x.y.z.src.rpm
2. cd /usr/src/redhat/SPECS
3. SPECS directory type "rpmbuild -ba --target i686 postfix.spec"
4. Watch the compile fail with error: "/usr/bin/ld: cannot find -lz"

Actual Results:  Compile failed. Cryptic compile error message appears.

Expected Results:  RPM should notify of the dependency on zlib-devel.  Compile
successful.

Additional info:
Comment 1 John Dennis 2004-01-21 13:51:19 EST
Thanks for spotting this omission.

Note You need to log in before you can comment on or make changes to this bug.